<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| Download System mSF For PHP-Fusion 7.xx v.5.0 Standard
| Copyright  2008-2009 Powered by .:MeF:.
| URL: http://x-iweb.ru/
+----------------------------------------------------*/
require_once "../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/download-cats.php";

if (!checkrights("DC") || !defined("iAUTH") || $_GET['aid'] != iAUTH) redirect("../index.php");
global $userdata;
$message = "";

include LOCALE.LOCALESET."admin/downloads.php";
require_once INCLUDES."download_system/admin_menu.php";
	
if (isset($_GET['cat_id']) && !isNum($_GET['cat_id'])) { fallback(FUSION_SELF.$aidlink); }

if (isset($_GET['status'])) {
	if ($_GET['status'] == "deln") {
		$title = $locale['MD400'];
		$message = "<b>".$locale['MD401']."</b><br>\n".$locale['MD402'];
	} elseif ($_GET['status'] == "dely") {
		$title = $locale['MD400'];
		$message = "<b>".$locale['MD405']."</b>";
	}
	
	
	
	opentable($title);
	echo "<div align='center'>".$message."</div>\n";
	closetable();
	tablebreak();
}

if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['cat_id']) && isnum($_GET['cat_id']))) {
	$result = dbquery("SELECT * FROM ".$db_prefix."downloads WHERE download_cat='".$_GET['cat_id']."'");
	if (dbrows($result) != 0) {
		redirect(FUSION_SELF.$aidlink."&status=deln");
	} else {
		$result = dbquery("DELETE FROM ".$db_prefix."download_cats WHERE download_cat_id='".$_GET['cat_id']."'");
		redirect(FUSION_SELF.$aidlink."&status=dely");
	}
} else {
	if (isset($_POST['save_cat'])) {
		$cat_name = stripinput($_POST['cat_name']);
		$cat_description = stripinput($_POST['cat_description']);
		$cat_access = isNum($_POST['cat_access']) ? $_POST['cat_access'] : "0";
		$cat_image = stripinput($_POST['cat_image']);
		if (isNum($_POST['cat_sort_by']) && $_POST['cat_sort_by'] == "1") {
			$cat_sorting = "download_id ".($_POST['cat_sort_order'] == "ASC" ? "ASC" : "DESC");
		} else if (isNum($_POST['cat_sort_by']) && $_POST['cat_sort_by'] == "2") {
			$cat_sorting = "download_title ".($_POST['cat_sort_order'] == "ASC" ? "ASC" : "DESC");
		} else if (isNum($_POST['cat_sort_by']) && $_POST['cat_sort_by'] == "3") {
			$cat_sorting = "download_datestamp ".($_POST['cat_sort_order'] == "ASC" ? "ASC" : "DESC");
		} else {
			$cat_sorting = "download_title ASC";
		}
		if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['cat_id']) && isnum($_GET['cat_id']))) {
			$result = dbquery("UPDATE ".$db_prefix."download_cats SET download_cat_name='$cat_name', download_cat_description='$cat_description', download_cat_sorting='$cat_sorting', download_cat_access='$cat_access', download_cat_image='$cat_image' WHERE download_cat_id='".$_GET['cat_id']."'");
		} else {
			$result = dbquery("INSERT INTO ".$db_prefix."download_cats (download_cat_name, download_cat_description, download_cat_sorting, download_cat_access, download_cat_image) VALUES('$cat_name', '$cat_description', '$cat_sorting', '$cat_access', '$cat_image')");
		}
		redirect(FUSION_SELF.$aidlink);
	}
	if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['cat_id']) && isnum($_GET['cat_id']))) {
		$result = dbquery("SELECT * FROM ".$db_prefix."download_cats WHERE download_cat_id='".$_GET['cat_id']."'");
		$data = dbarray($result);
		$cat_name = $data['download_cat_name'];
		$cat_description = $data['download_cat_description'];
		$cat_sorting = explode(" ", $data['download_cat_sorting']);
		$cat_image = $data['download_cat_image'];
		if ($cat_sorting[0] == "download_id") { $cat_sort_by = "1"; }
		if ($cat_sorting[0] == "download_title") { $cat_sort_by = "2"; }
		if ($cat_sorting[0] == "download_datestamp") { $cat_sort_by = "3"; }
		$cat_sort_order = $cat_sorting[1];
		$cat_access = $data['download_cat_access'];
		$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;cat_id=".$_GET['cat_id'];
		opentable($locale['MD420']);
	} else {
		$cat_name = "";
		$cat_description = "";
		$cat_sort_by = "download_title";
		$cat_sort_order = "ASC";
		$cat_access = "";
		$cat_image = "";
		$formaction = FUSION_SELF.$aidlink;
		opentable($locale['MD421']);
	}
	$user_groups = getusergroups(); $access_opts = ""; $sel = "";
	while(list($key, $user_group) = each($user_groups)){
		$sel = ($cat_access == $user_group['0'] ? " selected" : "");
		$access_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
	}
	echo "<form name='addcat' method='post' action='$formaction'>
<table align='center' cellpadding='0' cellspacing='0' width='400'>
<tr>
<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['MD430']."</td>
<td class='tbl'><input type='text' name='cat_name' value='$cat_name' class='textbox' style='width:200px;'></td>
</tr>
<tr>
<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['MD431']."</td>
<td class='tbl'><input type='text' name='cat_description' value='$cat_description' class='textbox' style='width:250px;'></td>
</tr>
<tr>
<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['MD434']."</td>
<td class='tbl'><select name='cat_sort_by' class='textbox'>
<option value='1'".($cat_sort_by == "1" ? " selected" : "").">".$locale['MD435']."</option>
<option value='2'".($cat_sort_by == "2" ? " selected" : "").">".$locale['MD436']."</option>
<option value='3'".($cat_sort_by == "3" ? " selected" : "").">".$locale['MD437']."</option>
</select> - 
<select name='cat_sort_order' class='textbox'>
<option value='ASC'".($cat_sort_order == "ASC" ? " selected" : "").">".$locale['MD438']."</option>
<option value='DESC'".($cat_sort_order == "DESC" ? " selected" : "").">".$locale['MD439']."</option>
</select></td>
</tr>";

$image_files = makefilelist(IMAGES."downloads/dl_cats/", ".|..|index.php", true);
$image_list = makefileopts($image_files,$cat_image);
echo "<tr>
<td width='1%' class='tbl' style='white-space:nowrap'>Paveiksliukas:</td>
<td class='tbl'>
<select name='cat_image' class='textbox'>
$image_list</select>
</td></tr>
<tr>
<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['MD433']."</td>
<td class='tbl'><select name='cat_access' class='textbox' style='width:150px;'>
$access_opts</select></td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl'>
<input type='submit' name='save_cat' value='".$locale['MD432']."' class='button'></td>
</tr>
</table>
</form>\n";
	closetable();
	tablebreak();
	opentable($locale['MD440']);
	echo "<table align='center' width='400' cellspacing='1' cellpadding='0' class='tbl-border'>\n";
	$result = dbquery("SELECT * FROM ".$db_prefix."download_cats ORDER BY download_cat_name");
	if (dbrows($result) != 0) {
		$i = 0;
		echo "<tr>
<td class='tbl2'>".$locale['MD441']."</td>
<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['MD445']."</td>
<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['MD502']."</td>
</tr>\n";
		while ($data = dbarray($result)) {
			$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
			echo "<tr>
<td class='$cell_color'><b>".$data['download_cat_name']."</b><br>
<span class='small'>".trimlink($data['download_cat_description'], 45)."</span></td>
<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'>".getgroupname($data['download_cat_access'])."</td>
<td align='center' width='1%' class='$cell_color' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;cat_id=".$data['download_cat_id']."'>".$locale['MD503']."</a> -
<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;cat_id=".$data['download_cat_id']."'>".$locale['MD504']."</a></td>
</tr>\n";
			$i++;
		}
		echo "</table>\n";
	} else {
		echo "<tr><td align='center' class='tbl1'>".$locale['MD508']."</td></tr>\n</table>\n";
	}
	closetable();
}

echo "</td>\n";
require_once THEMES."templates/footer.php";
?>